Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0
Release: 7mdk
Copyright: GPL
Group: Text tools
Source: ftp://alpha.gnu.org/gnu/fetish/textutils-2.0.tar.bz2
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

( cd $RPM_BUILD_ROOT
  mkdir -p ./bin
  for f in cat sort; do
    mv .%{_prefix}/bin/$f ./bin/$f
  done
)

%find_lang %{name}


%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
/bin/*
%{_prefix}/bin/*
%{_mandir}/man*/*
%{_infodir}/textutils*


%changelog

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-7mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-6mdk
- fix tmppath

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-5mdk
- BM

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0-4mdk
- Clean up specs.
- Use makeinstall macros.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-3mdk
- fix group 

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merges.
- fix tsort conflicts (by eliminating tsort from util-linux).

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rewrite some spec file pieces:
	- use file.list.textutils and find-lang.sh
	- build as non-root
- Update to latest version :
        * Version 2.0.
        * src/sort.c: Include file name in `write error' diagnostics.
        (write_bytes): Add output_file parameter and use it.  Update callers.
        (mergefps): Likewise.
        (merge): Likewise.
        (sort): Likewise.
        Reported by John Summerfield.
        * src/tail.c (Follow_mode): Remove comma at end of enumerator list.
        Reported by Kaveh Ghazi.
        * config.sub: Update from autoconf.
        * config.guess: Update from autoconf.

* Wed Jul 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.22n
- french description 

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc

